Subject: 1.1.8-2: TVINSERTSTRUCT & TVITEM missing
From: Ren Hoek <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 12 Feb 2001 00:59:25 +0100 (W. Europe Standard Time)

Hi there,

I've been getting cygwin to compile Putty today. That's an open
source SSH client for windows.

One of the problems I came across was a missing TVINSERTSTRUCT
and TVITEM in the win32 headers. I fixed it by adding the structs
that I included at the bottom of this email. I don't know where
exactly the cygwin headers should be fixed, but I got the program
to compile with the stuff I included.

The structs were shamelessly stolen from the LccWin32 headers.

Hope you can fix it,

            Ren Hoek ([email-masked])

PS.

I was also missing the 'aclapi.h' header file in cygwin. I was
able to compile without this header file by including a define
for putty, but can this header be included in the cygwin pack?

---------------------------------------------------------------------

typedef struct tagTVITEMA {
        UINT      mask;
        HTREEITEM hItem;
        UINT      state;
        UINT      stateMask;
        LPSTR     pszText;
        int       cchTextMax;
        int       iImage;
        int       iSelectedImage;
        int       cChildren;
        LPARAM    lParam;
} TVITEMA, *LPTVITEMA;
typedef struct tagTVITEMW {
        UINT      mask;
        HTREEITEM hItem;
        UINT      state;
        UINT      stateMask;
        LPWSTR    pszText;
        int       cchTextMax;
        int       iImage;
        int       iSelectedImage;
        int       cChildren;
        LPARAM    lParam;
} TVITEMW, *LPTVITEMW;
#define TV_ITEM TVITEM
#define LPTV_ITEM       LPTVITEM
#ifdef UNICODE
#define TVITEM  TVITEMW
#define LPTVITEM LPTVITEMW
#else
#define TVITEM  TVITEMA
#define LPTVITEM LPTVITEMA
#endif
typedef struct tagTVITEMEXA {
        UINT    mask;
        HTREEITEM hItem;
        UINT    state;
        UINT    stateMask;
        LPSTR   pszText;
        int     cchTextMax;
        int     iImage;
        int     iSelectedImage;
        int     cChildren;
        LPARAM  lParam;
        int     iIntegral;
} TVITEMEXA, *LPTVITEMEXA;
typedef struct tagTVITEMEXW {
        UINT    mask;
        HTREEITEM hItem;
        UINT    state;
        UINT    stateMask;
        LPWSTR  pszText;
        int     cchTextMax;
        int     iImage;
        int     iSelectedImage;
        int     cChildren;
        LPARAM  lParam;
        int     iIntegral;
} TVITEMEXW,*LPTVITEMEXW;
typedef struct tagTVINSERTSTRUCTA {
    HTREEITEM hParent;
    HTREEITEM hInsertAfter;
    union
    {
        TVITEMEXA itemex;
        TVITEMA  item;
    } ;
} TVINSERTSTRUCTA,*LPTVINSERTSTRUCTA;
typedef struct tagTVINSERTSTRUCTW {
        HTREEITEM hParent;
        HTREEITEM hInsertAfter;
        union {
                TVITEMEXW itemex;
                TVITEMW  item;
        } ;
} TVINSERTSTRUCTW,*LPTVINSERTSTRUCTW;

#define  TVINSERTSTRUCT         TVINSERTSTRUCTW

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple